Set the sorting criteria

- « CollectionModify::skip

- CollectionModify::unset »

- PHP Manual
- mysql_xdevapi\CollectionModify
- Set the sorting criteria

# CollectionModify::sort

(No version information available, might only be in Git)

CollectionModify::sort — Set the sorting criteria

### Description

public mysql_xdevapi\CollectionModify::sort(string `$sort_expr`): mysql_xdevapi\CollectionModify

Sorts the result set by the field selected in the sort_expr argument. The allowed orders are ASC (Ascending) or DESC (Descending). This operation is equivalent to the 'ORDER BY' SQL operation and it follows the same set of rules.

### Parameters

`sort_expr`

  One or more sort expressions can be provided. The evaluation is from left to right and each expression must be separated by a comma.

### Return Values

CollectionModify object that can be used for further processing.

### Examples

Example #1 mysql_xdevapi\CollectionModify::sort() example

    <?php

    $res = $coll->modify('true')->sort('name desc', 'age asc')->limit(4)->set('Married', 'NO')->execute();

    ?>